Updates information about a repo.
HTTP request
PATCH https://sourcerepo.googleapis.com/v1/{name=projects/*/repos/**}
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
name |
The name of the requested repository. Values are of the form Authorization requires the following IAM permission on the specified resource
|
Request body
The request body contains data with the following structure:
| JSON representation |
|---|
{
"repo": {
object ( |
| Fields | |
|---|---|
repo |
The new configuration for the repository. |
updateMask |
A FieldMask specifying which fields of the repo to modify. Only the fields in the mask will be modified. If no mask is provided, this request is no-op. This is a comma-separated list of fully qualified names of fields. Example: |
Response body
If successful, the response body contains an instance of Repo.
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.